clc;clear;
close all

%%%%%%%%%%
load("FMSPD_Syn_K_Fixed50x100_B.mat")

opt.legends = ["RFedAGS-B=10", "RFedAGS-B=40", "RFedAGS-B=80"];
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [10,10,10,10];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "FMSPD_Syn_K_Fixed50x100_ER_B";
myplot([t', t', t', t'], [fvs1, fvs2, fvs3] - fv5, opt)


load("FMSPD_Syn_K_Fixed50x100_S.mat")
opt.legends = ["RFedAGS-S=30", "RFedAGS-S=40", "RFedAGS-S=50"];
opt.number = 2;
t = 0:1:length(fvs1)-1;
opt.filePath = "FMSPD_Syn_K_Fixed50x100_ER_S";
opt.MarkerIndices = [10,10,10,10];
myplot([t', t', t', t'], [fvs1, fvs2, fvs3] - fv5, opt)
