clear;clc;close all


%%%%%%%%%%%%%%%%%%%%
load('LDMFLGrass_Sch_K_Fixed6x23r=3.mat')

opt.legends = ["RFedAGS-K=1", "RFedAGS-K=4", "RFedAGS-K=8","RFedAGS-K=10", ...
               "RSGD", "RSD", "RCG", "RLBFGS"];
opt.ylabel = 'Cost';
opt.Markers = {"-^", "->", "-v", "-<", "-p", "-o","-s", "-d"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [5,5,5,5,6,5,5,5];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=3_Cost";
myplot([t', t', t', t',t', t', t', t'], [fvs1, fvs2, fvs3, fvs4, fvs1_, fvs5', fvs6', fvs7'], opt)


opt.ylabel = 'NMSE';
opt.number = 2;
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=3_ANMSE";
myplot([t', t', t', t',t', t', t', t'], [nmse1, nmse2, nmse3, nmse4, nmse1_, nmse5', nmse6', nmse7'], opt)

%%%%%%%%%%%%%%%%%%%%%%
load('LDMFLGrass_Sch_K_Fixed6x23r=4.mat')

opt.legends = ["RFedAGS-K=1", "RFedAGS-K=4", "RFedAGS-K=8","RFedAGS-K=10", ...
               "RSGD", "RSD", "RCG", "RLBFGS"];
opt.ylabel = 'Cost';
opt.Markers = {"-^", "->", "-v", "-<", "-p", "-o","-s", "-d"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [5,5,5,5,6,5,5,5];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 3;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=4_Cost";
myplot([t', t', t', t',t', t', t', t'], [fvs1, fvs2, fvs3, fvs4, fvs1_, fvs5', fvs6', fvs7'], opt)


opt.ylabel = 'NMSE';
opt.number = 4;
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=4_ANMSE";
myplot([t', t', t', t',t', t', t', t'], [nmse1, nmse2, nmse3, nmse4, nmse1_, nmse5', nmse6', nmse7'], opt)


%%%%%%%%%%%%%%%
load('LDMFLGrass_Sch_K_Fixed6x23r=5.mat')

opt.legends = ["RFedAGS-K=1", "RFedAGS-K=4", "RFedAGS-K=8","RFedAGS-K=10", ...
               "RSGD", "RSD", "RCG", "RLBFGS"];
opt.ylabel = 'Cost';
opt.Markers = {"-^", "->", "-v", "-<", "-p", "-o","-s", "-d"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [5,5,5,5,6,5,5,5];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 5;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=5_Cost";
myplot([t', t', t', t',t', t', t', t'], [fvs1, fvs2, fvs3, fvs4, fvs1_, fvs5', fvs6', fvs7'], opt)


opt.ylabel = 'NMSE';
opt.number = 6;
opt.filePath = "LDMFLGrass_Sch_K_Fixed6x23r=5_ANMSE";
myplot([t', t', t', t',t', t', t', t'], [nmse1, nmse2, nmse3, nmse4, nmse1_, nmse5', nmse6', nmse7'], opt)