clc;clear;close all;

nagents = 10;
ncostterms = 60;

%%%%%%%%%%
load("FMSPD_Syn_K_Fixed10x60_fixed.mat")

opt.legends = ["RFedAGS-K=1", "RFedAGS-K=4", "RFedAGS-K=8","RFedAGS-K=10"];
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [10,10,10,10];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "FMSPD_Syn_K_Fixed10x60_ER";
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)


load("FMSPD_Syn_K_Decaying10x60.mat")
opt.number = 2;
t = 0:1:length(fvs1)-1;
opt.filePath = "FMSPD_Syn_K_Decaying10x60_ER";
opt.MarkerIndices = [20,20,20,20];
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)
