clear;clc;close all

nagents = 10;
ncostterms = 80;

%%%%%%%%%%
load("PCAST_Syn_K_Fixed10x80.mat")

opt.legends = ["RFedAGS-K=5", "RFedAGS-K=10", "RFedAGS-K=20","RFedAGS-K=30"];
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [10,10,10,10];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "PCAST_Syn_K_Fixed10x80_ER";
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)


load("PCAST_Syn_K_Decaying10x80.mat")
opt.number = 2;
t = 0:1:length(fvs1)-1;
opt.filePath = "PCAST_Syn_K_Decaying10x80_ER";
opt.MarkerIndices = [40,40,40,40];
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)
