clear;clc;close all


%%%%%%%%%%
load("LDMFLGrass_Syn_K_Fixed20x50.mat")

opt.legends = ["RFedAGS-K=1", "RFedAGS-K=4", "RFedAGS-K=8","RFedAGS-K=10"];
opt.ylabel = 'Excess Risk';
opt.Markers = {"-^", "->", "-v", "-<"};
t = 0:1:length(fvs1)-1;
opt.MarkerIndices = [5,5,5,5];
opt.Markersize = 10;
opt.LineWidth = 2.;
opt.number = 1;
opt.Color4 = 0.8;
opt.xlabel = 'Iterations';
opt.filePath = "LDMFLGrass_Syn_K_Fixed20x50_ER";
myplot([t', t', t', t'], [fvs1, fvs2, fvs3, fvs4] - fv5, opt)


opt.number = 2;
t = 0:1:length(dists1)-1;
opt.filePath = "LDMFLGrass_Syn_K_Fixed20x50_Dist";
opt.MarkerIndices = [5,5,5,5];
myplot([t', t', t', t'], [dists1, dists2, dists3, dists4], opt)
